net.corda.core.node

## Class Version

- net.corda.core.node.Version

-     public class Version

  Versions of the same major version but with different minor versions are considered compatible with each other. One exception to this is when the major version is 0 - each different minor version should be considered incompatible.

  If two `class Version`s are equal (i.e. equals returns true) but they are both snapshot then they may refer to different builds of the node. NodeVersionInfo.revision would be required to differentiate the two.

  See Also:
    `class Version`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Version.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Version.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version(int major, int minor, boolean snapshot)` Versions of the same major version but with different minor versions are considered compatible with each other. One exception to this is when the major version is 0 - each different minor version should be considered incompatible.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `component1()`
    `int` | `component2()`
    `boolean` | `component3()`
    `Version` | `copy(int major, int minor, boolean snapshot)` Versions of the same major version but with different minor versions are considered compatible with each other. One exception to this is when the major version is 0 - each different minor version should be considered incompatible.
    `boolean` | `equals(java.lang.Object p)`
    `int` | `getMajor()`
    `int` | `getMinor()`
    `boolean` | `getSnapshot()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Field Detail

    - #### Companion

          public static Version.Companion Companion

  - ### Constructor Detail

    - #### Version

          public Version(int major,
                         int minor,
                         boolean snapshot)

      Versions of the same major version but with different minor versions are considered compatible with each other. One exception to this is when the major version is 0 - each different minor version should be considered incompatible.

      If two `class Version`s are equal (i.e. equals returns true) but they are both snapshot then they may refer to different builds of the node. NodeVersionInfo.revision would be required to differentiate the two.

      See Also:
        `class Version`

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getMajor

          public int getMajor()

    - #### getMinor

          public int getMinor()

    - #### getSnapshot

          public boolean getSnapshot()

    - #### component1

          public int component1()

    - #### component2

          public int component2()

    - #### component3

          public boolean component3()

    - #### copy

          public Version copy(int major,
                              int minor,
                              boolean snapshot)

      Versions of the same major version but with different minor versions are considered compatible with each other. One exception to this is when the major version is 0 - each different minor version should be considered incompatible.

      If two `class Version`s are equal (i.e. equals returns true) but they are both snapshot then they may refer to different builds of the node. NodeVersionInfo.revision would be required to differentiate the two.

      See Also:
        `class Version`

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)